%% Making weighted networks for julia
% Examples for ATiNS 03.20.18


% First, set parameters and filenames

filename = 'ER_100nodes';

nNodes = 100;
nReps = 1;
dim = 3;


% Preallocate
adj_array = zeros(nNodes,nNodes,nReps);
jadj_array = zeros(nNodes,nNodes,nReps);

for r = 1:nReps
    
    % Make graph model
    %adj = iid(nNodes);
    adj = Random_Geometric(nNodes,dim);
    %adj = Probabilistic_Random_Geometric(nNodes,dim,p);
    %adj = Watts_Strogats(nNodes,k,p);
    
    
    % Store
    adj_array(:,:,r) = adj;
    
    % Make into appropraite matrix for julia and save
    jadj = -adj;
    jadj_array(:,:,r) = jadj;
    
    
end

% Save 


save(sprintf('%s_forJul.mat',filename),'adj_array','jadj_array')
    
    
    

