function [nadj] = WriteToJulia(adjn,filename)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here


edgelist = sort(unique(adjn(:)),'descend');

nadj = zeros(length(adjn));


for i = 1:length(edgelist)
    
    [a,b] = find(adjn==edgelist(i));
    
    % a(1) is node 1, b(1) is node 2
    % i is rank
    
    nadj(a(1),b(1)) = i;
    nadj(b(1),a(1)) = i;
    
end

% Need to write to text file
nadj(logical(eye(length(nadj))))=0;
%nadj = -adjn;

disp('Beginning writing')
dlmwrite(sprintf('%s.txt',filename),nadj,'delimiter','\t')
    

fprintf('Finished writing matrix to file %s.txt\n',filename)
end

