function [ allPIs, bettiCurvesAvg] = plotBettiCurves_J( allPIs,maxDim, nNodes)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here

nReps = length(allPIs);
nEdges = nchoosek(nNodes,2);
bettiCurvesAvg = zeros(3,nEdges);


for dim = 1:maxDim
    
    
    
    for reps = 1:nReps
    
        b = allPIs{reps,1}{dim};
        bettiCurve = zeros(nEdges,1);
        
        for cycle = 1:size(b,1)
            bettiCurve(b(cycle,1):b(cycle,2)) = ...
                bettiCurve(b(cycle,1):b(cycle,2)) +1;
            
        end
        
        
       bettiCurvesAvg(dim,:) = bettiCurvesAvg(dim,:) + bettiCurve';
       
    end
    
end

bettiCurvesAvg = bettiCurvesAvg/nReps;



plot((1:nEdges)/nEdges,bettiCurvesAvg(1,:),'b','LineWidth',1.5)
hold on
plot((1:nEdges)/nEdges,bettiCurvesAvg(2,:),'g','LineWidth',1.5)
plot((1:nEdges)/nEdges,bettiCurvesAvg(3,:),'r','LineWidth',1.5)
xlabel('EdgeDensity')
ylabel('Number of cycles')
legend('\beta_1','\beta_2','\beta_3')
ax = gca;
ax.LineWidth = 1.5;


end

